Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.actions
Class StrutsUixLifecycle

`java.lang.Object
oracle.adf.controller.lifecycle.PageLifecycle
oracle.adf.controller.struts.actions.StrutsPageLifecycle
oracle.adf.controller.struts.actions.StrutsUixLifecycle`

All Implemented Interfaces:
  Lifecycle

public class StrutsUixLifecycle
extends StrutsPageLifecycle

Customized Struts lifecycle to support UIX.

Since:
  9.0.5

Field Summary

Fields inherited from class oracle.adf.controller.struts.actions.StrutsPageLifecycle
`formFileInputHandlerName`

Fields inherited from class oracle.adf.controller.lifecycle.PageLifecycle
`clazz, DISABLE_VALIDATE_TOKENS, eventParam, events, ordDomainInputHandlerName`

Constructor Summary
`StrutsUixLifecycle()`

Method Summary
`protected boolean` | `handleEvent(LifecycleContext lcContext, java.lang.String event)` Handle an event.
`void` | `handleLifecycle(LifecycleContext lcContext)` Define all the phases of the lifecycle and the order they are executed.. This is the entry point to execute the all the phases of the lifecycle. Overide this method to add logic before or after the lifecycle execution. Define the steps of the PageLifecycle processing: prepares the context and build the event list prepare the model for updates process model updates performs validation process component event process custom method handles errors .
`void` | `processActionConfig(DataActionMapping mapping)` Give the opportunity to the lifecyle to handle and possibly modify the config of the mapping.
`void` | `processComponentEvents(LifecycleContext lcContext)` Handle any events in the action binding list previously built in processUpdateModel using the buildEventList method.
`void` | `processUpdateModel(LifecycleContext lcContext)` Handle update using a Struts formbean In case of error the method setInputValue will not throw but instead the errors will be collected in the binding container.
`void` | `reportErrors(LifecycleContext lcContext)` This method retrieve the list of error from the dataControl and treat them as fit for the PageLifeCycle implementation. Retrieves the errors from the data control and reports then to the user.
`protected boolean` | `shouldValidateToken(javax.servlet.http.HttpServletRequest request, oracle.adf.model.binding.DCBindingContainer bindings)` Checks the request object to see if token validation should occur.
`void` | `validateModelUpdates(LifecycleContext lcContext)` Forces model-level validation to occur. To delay model-level validation until Commit, override this method and replace it with a no-op. To delay model-level validation until Commit, override this method and replace it with a no-op.

Methods inherited from class oracle.adf.controller.struts.actions.StrutsPageLifecycle
`findForward, initializeMethodParameters, initializeParameterValuesUsingExpressions, invokeCustomMethod, prepareModel, refreshModel, shouldAllowModelUpdate, updateModel`

Methods inherited from class oracle.adf.controller.lifecycle.PageLifecycle
`buildEventList, disableTokenValidationForRequest, findCtrlBinding, getEventMethod, getEventMethodFromCache, getRequestValues, handleError, hasErrors, initializeParameterValuesUsingRequestObject, invokeActionBinding, isNewValueForBinding, processEvent, setInputValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsUixLifecycle

    public StrutsUixLifecycle()

Method Detail

### processActionConfig

    public void processActionConfig(DataActionMapping mapping)

  Description copied from class: `StrutsPageLifecycle`
  Give the opportunity to the lifecyle to handle and possibly modify the config of the mapping.
  Overrides:
    `processActionConfig` in class `StrutsPageLifecycle`
  Parameters:
    `mapping` - the action mapping
  See Also:
    `DataActionMapping.freeze()`

### handleLifecycle

    public void handleLifecycle(LifecycleContext lcContext)
                         throws java.lang.Exception

  Description copied from class: `PageLifecycle`
  Define all the phases of the lifecycle and the order they are executed.. This is the entry point to execute the all the phases of the lifecycle.
  Overide this method to add logic before or after the lifecycle execution.

  Define the steps of the PageLifecycle processing:

  - prepares the context and build the event list
  - prepare the model for updates
  - process model updates
  - performs validation
  - process component event
  - process custom method
  - handles errors
  Specified by:
    `handleLifecycle` in interface `Lifecycle`
  Overrides:
    `handleLifecycle` in class `PageLifecycle`
  Throws:
    `java.lang.Exception`

### processUpdateModel

    public void processUpdateModel(LifecycleContext lcContext)

  Description copied from class: `StrutsPageLifecycle`
  Handle update using a Struts formbean In case of error the method setInputValue will not throw but instead the errors will be collected in the binding container.
  Specified by:
    `processUpdateModel` in interface `Lifecycle`
  Overrides:
    `processUpdateModel` in class `StrutsPageLifecycle`

### validateModelUpdates

    public void validateModelUpdates(LifecycleContext lcContext)

  Description copied from class: `PageLifecycle`
  Forces model-level validation to occur. To delay model-level validation until Commit, override this method and replace it with a no-op.
  Specified by:
    `validateModelUpdates` in interface `Lifecycle`
  Overrides:
    `validateModelUpdates` in class `PageLifecycle`

### shouldValidateToken

    protected boolean shouldValidateToken(javax.servlet.http.HttpServletRequest request,
                                          oracle.adf.model.binding.DCBindingContainer bindings)

  Description copied from class: `PageLifecycle`
  Checks the request object to see if token validation should occur.
  Overrides:
    `shouldValidateToken` in class `PageLifecycle`
  Parameters:
    `request` -
    `bindings` -
  Returns:
    true if token validation should occur

### processComponentEvents

    public void processComponentEvents(LifecycleContext lcContext)
                                throws java.lang.Exception

  Description copied from interface: `Lifecycle`
  Handle any events in the action binding list previously built in processUpdateModel using the buildEventList method.
  Specified by:
    `processComponentEvents` in interface `Lifecycle`
  Overrides:
    `processComponentEvents` in class `PageLifecycle`
  Throws:
    `java.lang.Exception`

### reportErrors

    public void reportErrors(LifecycleContext lcContext)

  Description copied from class: `StrutsPageLifecycle`

  This method retrieve the list of error from the dataControl and treat them as fit for the PageLifeCycle implementation. Retrieves the errors from the data control and reports then to the user.

  Specified by:
    `reportErrors` in interface `Lifecycle`
  Overrides:
    `reportErrors` in class `StrutsPageLifecycle`

### handleEvent

    protected boolean handleEvent(LifecycleContext lcContext,
                                  java.lang.String event)
                           throws java.lang.Exception

  Description copied from class: `StrutsPageLifecycle`
  Handle an event. An event handler can be a method defined in a subclass of this PageLifecycle. To be recognized as an event handler the method signature need to be similar to:

       public void onEvent(DataActionContext ctx)
       {
          // Use the following method to execute the possible
          // action binding associated with this event
          ctx.getEventActionBinding().doit();
       }

  Where Event is the name of the event.

  An event can also be an action binding with the same name of the event present in the current binding container.

  In addition to the super class behavior, the event name is used as a automatic forward mechanism. If it exist an action forward of the same name of the event, this action forward is set to the context to be the return value of the DataAction execute method.

  Overrides:
    `handleEvent` in class `StrutsPageLifecycle`
  Throws:
    `java.lang.Exception`
  See Also:
    `getEventActionBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.